﻿Public Class Room
    Private m_description As String
    Private m_background As Bitmap
    Private m_Exits As New List(Of RoomExit)
    Private m_GameItems As New List(Of GameItem)
    Private m_DroppedItems As New List(Of GameItem)
    Private m_NPCs As New List(Of NPC)

    Public Sub New(background As Bitmap, description As String)
        m_background = background
        m_description = description
    End Sub

    Public Property Description As String
        Get
            Return m_description
        End Get
        Set(value As String)
            m_description = value
        End Set
    End Property

    Public Property Background As Bitmap
        Get
            Return m_background
        End Get
        Set(value As Bitmap)
            m_background = value
        End Set
    End Property

    Public Property Exits As List(Of RoomExit)
        Get
            Return m_Exits
        End Get
        Set(value As List(Of RoomExit))
            m_Exits = value
        End Set
    End Property

    Public Property GameItems As List(Of GameItem)
        Get
            Return m_GameItems
        End Get
        Set(value As List(Of GameItem))
            m_GameItems = value
        End Set
    End Property

    Public Property DroppedItems As List(Of GameItem)
        Get
            Return m_DroppedItems
        End Get
        Set(value As List(Of GameItem))
            m_DroppedItems = value
        End Set
    End Property

    Public Property NPCs As List(Of NPC)
        Get
            Return m_NPCs
        End Get
        Set(value As List(Of NPC))
            m_NPCs = value
        End Set
    End Property
End Class
